@mixin DrawerGridLayout {
  .drawer-wrapper {
    display: grid;
    grid-template-rows: auto 1fr 84px;

    grid-template-areas:
      "header"
      "main"
      "footer";

    padding: 0;
  }

  header {
    grid-area: header;
  }

  main {
    grid-area: main;
    overflow-y: auto;
    overflow-x: visible;
  }

  footer {
    grid-area: footer;
    padding-left: 40px;
    padding-right: 40px;
    margin-top: 20px;
    margin-bottom: 20px;
  }
}
